//		Copyright © 1999  Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//		$Log: SamhainDemoWindow.cpp,v $
//		Revision 1.1  1999/01/10 09:44:16  jjk
//		Initial revision
//

//		A window for demonstrating the screen saver.

#include <Application.h>
#include <Point.h>
#include <Rect.h>
#include <View.h>
#include <Window.h>

#include "Samhain.h"
#include "SamhainDemoWindow.h"

SamhainDemoWindow::SamhainDemoWindow(BRect frame)
:	inherited(frame, "Samhain Demo",
				 B_TITLED_WINDOW, B_NOT_RESIZABLE|B_NOT_ZOOMABLE)
{
	frame.OffsetTo(B_ORIGIN);
	BView *pView = new BView(frame, "Samhain Demo", B_FOLLOW_NONE, B_WILL_DRAW);
	pView->SetViewColor(0, 0, 0);
	pView->SetLowColor(0, 0, 0);
	AddChild(pView);

	module_initialize(0, 0);
	module_start_saving(pView);
}

SamhainDemoWindow::~SamhainDemoWindow(void)
{
	// empty
}

bool
SamhainDemoWindow::QuitRequested(void)
{
	module_stop_saving();
	void *pDummy;
	long dummy;
	module_cleanup(&pDummy, &dummy);
	
	be_app->PostMessage(B_QUIT_REQUESTED);
	return true;
}

static char RCSid[] = "$Id: SamhainDemoWindow.cpp,v 1.1 1999/01/10 09:44:16 jjk Exp $";
